%Verify the value of $r_0>1$ for which $\alpha(r_0)=0$ (see Remark 2).
function Check_Root_AlphaFunction

vec_t = 1:10^(-4):3;
vec_al = zeros(size(vec_t));

for i=1:length(vec_t),
    t = vec_t(i);
    vec_al(i) = log(t) -t +log((pi*exp(1))/2);
end
ff1 = find(vec_al>0);
ff2 = find(vec_al<0);

fprintf('Values of alpha(r) computed on the interval [1:3] (step size 10^(-4)):\n');
fprintf('The largest value smaller than the root: %5.4f\n', vec_t(ff1(end)));
fprintf('The smallest value larger than the root: %5.4f\n',  vec_t(ff2(1)));

plot(vec_t,vec_al,'-r',vec_t,zeros(size(vec_al)),'-k')
xlabel('t');
ylabel('\alpha(t)')






