%Generates the data shown in Table 1
function Generate_Table(ex)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Input:
%       ex = example number
%       For Example 1, use ex=1.
%       For Example 2, use ex=4.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

    %KSF
    fname = strcat('file_res_ex_',num2str(ex));
    eval(['load ' fname]);
    RAT0 = [
        rat_genie2
        rat_KSF
        rat_BIC
        rat_UMPUT];
    
    %modified KSF
    fname = strcat('mod_file_res_ex_',num2str(ex));
    eval(['load ' fname]);
    RAT1 = [
        rat_genie2
        rat_KSF
        rat_BIC
        rat_UMPUT]; 
    
    %Check if, in both files, the results are the same for all methods  
    %(except KSF)
    v = [1 3 4];
    if max(max( RAT1(v,:)-RAT0(v,:) ))~=0,
        fprintf('ERROR\n');
        return;
    end
    
    fname_new = strcat('rho_ex_',num2str(ex));
    fid = fopen(fname_new,'w');
    for j=7:11,
         fprintf(fid,' & %4i',2^j);
    end
    fprintf(fid,' \\\\ \n');
    for i=1:2,
        for j=1:5,
            fprintf(fid,' & %5.1f',RAT1(i,j));
        end
        fprintf(fid,' \\\\ \n');
    end
    for i=2:4,
        for j=1:5,
            fprintf(fid,' & %5.1f',RAT0(i,j));
        end
        fprintf(fid,' \\\\ \n');
    end
    
    fclose(fid);
    
   
        


   