% Function used by cep.m. Computes the code length for the structure
function Lk = comp_Lk(M)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%input:
%   M       = N/2+1 (N=no. of measurements)
%output:
%   Lk      = vector which contains the code length for the structure
%             k\in\{1,\ldots,M-1\}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Lk = zeros(M,1);
for k=1:M-1,
    temp = (M+1/2)*log(M)-(k+1/2)*log(k)-(M-k+1/2)*log(M-k) -1/2*log(2*pi);
    Lk(k) = min(M*log(2),temp+log(k)+log(1+log(M-1)));
end
Lk(M) = Inf; %at least one coeff. is turned to zero
