% Function used by cep.m. Turns to zero the cepstral coeff. 
% which are deemed to be small
function c_til = comp_c_til(c_e,N,mu)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%input:
%   c_e     = estimated cepstral coeff.
%   N       = no. of measurements
%   mu      = threshold
%output:
%   c_til   = new estimates of the cepstral coeff.
%             \check c <-> c_til
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

cc = c_e;

if abs(cc(1)) < mu*pi/sqrt(3*N)
  cc(1) = 0;
end
for k=2:N/2
  if abs(cc(k)) < mu*pi/sqrt(6*N)
    cc(k) = 0;
  end
end
if abs(cc(N/2+1)) < mu*pi/sqrt(3*N)
  cc(N/2+1) = 0;
end
for k=N/2+2:N
  if abs(cc(k)) < mu*pi/sqrt(6*N)
    cc(k) = 0;
  end
end

c_til = cc;
